> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a public client profile.

> # Access control rules

- Publicly accessible.



## OpenAPI

````yaml GET /api/v0/companies/{company_ref}/profile
openapi: 3.1.0
info:
  title: Cantina Client API
  description: >-
    Endpoints available to client organizations. For an overview and
    authentication, see
    https://docs.cantina.xyz/for-organizations/getting-started/api-access.
  license:
    name: Cantina
    identifier: Cantina
  version: 0.1.0
servers: []
security: []
paths:
  /api/v0/companies/{company_ref}/profile:
    get:
      tags:
        - companies
      summary: Get a public client profile.
      description: |-
        # Access control rules

        - Publicly accessible.
      operationId: get_company_public_profile
      parameters:
        - name: company_ref
          in: path
          description: company ID or handle
          required: true
          schema:
            $ref: '#/components/schemas/ResourceRef'
      responses:
        '200':
          description: Company details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyProfile'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '500':
          description: Error retrieving company
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
components:
  schemas:
    ResourceRef:
      oneOf:
        - type: string
          format: uuid
          description: Resource id.
        - type: string
          description: Resource handle, e.g. a user's username or a team handle.
      description: Reference to a resource, either by `id` or `handle` (`username`).
    CompanyProfile:
      type: object
      description: Public company profile.
      required:
        - id
        - name
        - handle
        - logo
        - liveRepositories
        - completedRepositories
        - repositories
        - completedReviews
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        handle:
          type: string
        about:
          type:
            - string
            - 'null'
        logo:
          type: string
        website:
          type:
            - string
            - 'null'
        github:
          type:
            - string
            - 'null'
        twitter:
          type:
            - string
            - 'null'
        liveRepositories:
          type: array
          items:
            $ref: '#/components/schemas/CompanyRepository'
          description: |2-
             Bounty or competition with any of the following statuses:
            upcoming, live, judging, escalations, and escalations ended.
        completedRepositories:
          type: array
          items:
            $ref: '#/components/schemas/CompanyRepository'
          description: All completed public competitions and bounties.
        repositories:
          type: array
          items:
            $ref: '#/components/schemas/CompanyRepository'
        completedReviews:
          type: array
          items:
            $ref: '#/components/schemas/CompanyRepository'
        lastReview:
          type:
            - integer
            - 'null'
          format: int32
          description: |-
            Number of days since the last completed
            competition or collaborative review.
        totalRewardPot:
          type:
            - string
            - 'null'
          description: The sum of total reward pot of all competitions and bounties.
    CantinaError:
      type: object
      description: Error returned by the Cantina API.
      required:
        - type
        - msg
      properties:
        type:
          $ref: '#/components/schemas/ErrorType'
        msg:
          type: string
          description: Error message for the user.
    CompanyRepository:
      type: object
      description: '[`Repository`] information in the context of a [`CompanyProfile`].'
      required:
        - name
        - kind
        - status
      properties:
        id:
          type:
            - string
            - 'null'
          format: uuid
          description: |-
            This will be none if associated repository does not exist.
            In such cases, `CompanyRepository.report` will be set.
        report:
          type:
            - string
            - 'null'
          format: uuid
          description: Set if there exists a report associated with the repository.
        name:
          type: string
        timeframe:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/RangeFromDateTime'
        kind:
          $ref: '#/components/schemas/RepositoryKind'
        status:
          $ref: '#/components/schemas/RepositoryStatus'
        currencyCode:
          type: string
        totalRewardPot:
          type:
            - string
            - 'null'
    ErrorType:
      type: string
      description: Type of error.
      enum:
        - email_not_verified
        - auth_invalid
        - auth_expired
        - auth_token_missing
        - auth_id_missing
        - invalid_password
        - disabled_user
        - tc_not_accepted
        - evicted
        - unauthorized
        - bad_request
        - not_found
        - forbidden
        - gone
        - payload_too_large
        - service_unavailable
        - internal_error
    RangeFromDateTime:
      type: object
      description: Represent a range where the start is always set but the end is optional.
      required:
        - start
      properties:
        start:
          type: string
          format: date-time
        end:
          type:
            - string
            - 'null'
          format: date-time
    RepositoryKind:
      type: string
      enum:
        - scoping
        - collaborative_review
        - private_contest
        - public_contest
        - private_bounty
        - public_bounty
    RepositoryStatus:
      type: string
      description: Status of a repository.
      enum:
        - draft
        - upcoming
        - live
        - judging
        - escalations
        - escalations_ended
        - complete
        - published

````